Package uk.ac.starlink.topcat.plot2

## Class PlaneFigureMode

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.PlaneFigureMode

- All Implemented Interfaces:
    `FigureMode`

      public abstract class PlaneFigureMode
      extends java.lang.Object
      implements FigureMode

  FigureMode implementations for use with a PlanarSurface.
  Since:
    20 Feb 2019
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FigureMode` | `ABOVE` | PlanarSurface area above a line formed by joining points.
    `static FigureMode` | `BELOW` | PlanarSurface area below a line formed by joining points.
    `static FigureMode` | `BOX` | PlanarSurface area within a rectangle aligned with the axes.
    `static FigureMode` | `ELLIPSE` | PlanarSurface area within a graphics ellipse (center+radius).
    `static FigureMode` | `LEFT` | PlanarSurface area to the left of a line formed by joining points.
    `static FigureMode[]` | `MODES` | Available polygon modes for use with planar surfaces.
    `static FigureMode` | `OUTSIDE_POLYGON` | Inverse of polygon mode.
    `static FigureMode` | `POLYGON` | PlanarSurface area within the polygon bounded by (>=3) points.
    `static FigureMode` | `RIGHT` | PlanarSurface area to the right of a line formed by joining points.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns a name by which this mode can be presented to the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.topcat.plot2.FigureMode

      `createFigure`

- - ### Field Detail

    - #### POLYGON

          public static final FigureMode POLYGON

      PlanarSurface area within the polygon bounded by (>=3) points.

    - #### BOX

          public static final FigureMode BOX

      PlanarSurface area within a rectangle aligned with the axes.

    - #### ELLIPSE

          public static final FigureMode ELLIPSE

      PlanarSurface area within a graphics ellipse (center+radius).

    - #### OUTSIDE_POLYGON

          public static final FigureMode OUTSIDE_POLYGON

      Inverse of polygon mode.

    - #### BELOW

          public static final FigureMode BELOW

      PlanarSurface area below a line formed by joining points.

    - #### ABOVE

          public static final FigureMode ABOVE

      PlanarSurface area above a line formed by joining points.

    - #### LEFT

          public static final FigureMode LEFT

      PlanarSurface area to the left of a line formed by joining points.

    - #### RIGHT

          public static final FigureMode RIGHT

      PlanarSurface area to the right of a line formed by joining points.

    - #### MODES

          public static final FigureMode[] MODES

      Available polygon modes for use with planar surfaces.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `FigureMode`
      Returns a name by which this mode can be presented to the user. It should distinguish this object from other options that may be available in the same context, but not necessarily from all other possible instances.
      Specified by:
        `getName` in interface `FigureMode`
      Returns:
        user-directed name